
Foreman - Bug #6032

No option to overwrite DHCP option

06/03/2014 10:58 AM - Jon Skarpeteig

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Warning!

ERF12-4395 [ProxyAPI::ProxyException]: Unable to retrieve DHCP entry for 00:50:56:00:00:00 ([Net::

LeaseConflict]: 00:50:56:00:00:00/10.0.0.8) for proxy http://fqdn:8443/dhcp

 If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to

attach the Full trace and relevant log entries.

ProxyAPI::ProxyException

ERF12-4395 [ProxyAPI::ProxyException]: Unable to retrieve DHCP entry for 00:50:56:00:00:00 ([Net::

LeaseConflict]: 00:50:56:00:00:00/10.0.0.8) for proxy http://fqdn:8443/dhcp

lib/proxy_api/dhcp.rb:53:in `rescue in record'

lib/proxy_api/dhcp.rb:43:in `record'

lib/net/dhcp/record.rb:41:in `conflicts'

lib/net.rb:27:in `conflicting?'

app/models/concerns/orchestration/dhcp.rb:140:in `dhcp_conflict_detected?'

app/models/concerns/orchestration.rb:47:in `valid?'

app/models/concerns/foreman/sti.rb:29:in `save_with_type'

app/controllers/hosts_controller.rb:117:in `block in update'

app/models/taxonomy.rb:41:in `block in no_taxonomy_scope'

app/models/taxonomy.rb:48:in `block (2 levels) in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:143:in `as_location'

app/models/taxonomy.rb:47:in `block in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:108:in `as_org'

app/models/taxonomy.rb:46:in `as_taxonomy'

app/models/taxonomy.rb:40:in `no_taxonomy_scope'

app/controllers/hosts_controller.rb:109:in `update'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Related issues:

Is duplicate of Foreman - Bug #5637: DHCP conflicts triggered for non-conflic... Closed 05/08/2014

History

#1 - 06/03/2014 11:00 AM - Dominic Cleal

- Is duplicate of Bug #5637: DHCP conflicts triggered for non-conflicting leases added

#2 - 06/03/2014 11:01 AM - Dominic Cleal

- Status changed from New to Duplicate

I think this will have been solved through #5637 and related tickets, we'll be releasing this in 1.5.1.

Powered by TCPDF (www.tcpdf.org)

05/11/2024 1/1

https://projects.theforeman.org/issues/5637
http://www.tcpdf.org

